{% extends 'layout.html' %} {% load static %}

{% block title %}
Master Instansi
{% endblock title %}

{% block js %}
<script src="{% static 'scripts/adminSatgas/instansi.js' %}"></script>
{% endblock js %}

{% block content %}
{% include 'navbar.html' %}
<div class="container mb-5" style="width: 50rem;">
    <br><br><br>
    <h1 class="text-center m-10">Master Instansi</h1><br><br>
    <table class="table table-striped table-bordered align-middle">
        <thead>
            <tr class="table-success" style="text-align:center;">
                <th>No.</th>
                <th>Kode Instansi</th>
                <th>Nama instansi</th>
                <th>Action</th>
            </tr>
        </thead>
        <tbody>
          
            {% for instansi in instansi_list %}
            <tr style="text-align:center">
                <td>{{ forloop.counter }}</td>
                <td>{{ instansi.kode }}</td>
                <td>{{ instansi.nama_instansi }}</td>
                <td hidden>{{ instansi.no_telp }}</td>
                
                {% if instansi.kategori == None %}
                <td hidden>faskes</td>
                {% else %}
                <td hidden>non-faskes</td>
                {% endif %}
                    
                <td hidden>{{ instansi.tipe }}</td>
                <td hidden>{{ instansi.statuskepemilikan }}</td>
                <td hidden>{{ instansi.kategori }}</td>
                <td>
                    <button type="button" class="btn btn-primary update-button">Update</button>
                    <button type="button" class="btn btn-danger delete-button">Delete</button>
                    <button type="button" class="btn btn-secondary detail-button">Detail</button>
                </td>
            </tr>
            {% endfor %}

        </tbody>
    </table>
    <div class="d-grid">
        <button type="button" class="btn btn-primary add-button">Tambah Instansi</button>
    </div>
</div>

<!-- MODAL CREATE INSTANSI -->
<div class="modal fade" tabindex="-1" role="dialog" id="create-instansi-modal">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h4 class="modal-title">Form Tambah Instansi</h4>
            </div>
            <form action="{% url 'create-instansi-satgas' %}" method="post">
                {% csrf_token %}
                <div class="modal-body">
                    <div class="mb-3">
                        <label for="create-kode-instansi" class="col-form-label">Kode:</label>
                        <input type="text" class="form-control" id="create-kode-instansi" name="create-kode-instansi" maxlength="20" value="{{ kode }}">
                    </div>
                    <div class="mb-3">
                        <label for="create-nama-instansi" class="col-form-label">Nama Instansi:</label>
                        <input type="text" class="form-control" id="create-nama-instansi" name="create-nama-instansi" maxlength="30">
                    </div>
                    <div class="mb-3">
                        <label for="create-nomor-telepon-instansi" class="col-form-label">Nomor Telepon:</label>
                        <input type="text" class="form-control" id="create-nomor-telepon-instansi"
                            name="create-nomor-telepon-instansi" maxlength="15">
                    </div>
                    <div class="mb-3">
                        <label for="create-jenis-instansi" class="col-form-label">Kategori Instansi:</label>
                        <select class="form-select jenis-instansi" id="create-jenis-instansi" name="create-jenis-instansi">
                            <option value="faskes">Faskes</option>
                            <option value="non-faskes">Non-Faskes</option>
                        </select>
                    </div>
                    <div class="mb-3 faskes-field">
                        <label for="create-tipe-instansi-faskes" class="col-form-label">Tipe Faskes:</label>
                        <select class="form-select" id="create-tipe-instansi-faskes" name="create-tipe-instansi-faskes">
                            <option value="rumah sakit">Rumah Sakit</option>
                            <option value="puskesmas">Puskesmas</option>
                            <option value="klinik">Klinik</option>
                        </select>
                    </div>
                    <div class="mb-3 faskes-field">
                        <label for="create-status-kepemilikan-instansi-faskes" class="col-form-label">Status
                            Kepemilikan:</label>
                        <select class="form-select" id="create-status-kepemilikan-instansi-faskes"
                            name="create-status-kepemilikan-instansi-faskes">
                            <option value="pemerintah">Pemerintah</option>
                            <option value="swasta">Swasta</option>
                        </select>
                    </div>
                    <div class="mb-3 non-faskes-field">
                        <label for="create-kategori-instansi-non-faskes" class="col-form-label">Kategori:</label>
                        <select class="form-select" id="create-kategori-instansi-non-faskes"
                            name="create-kategori-instansi-non-faskes">
                            <option value="pemerintahan">Instansi Pemerintah</option>
                            <option value="swasta">Instansi Swasta</option>
                            <option value="komunitas">Komunitas</option>
                        </select>
                    </div>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-secondary cancel-button">Cancel</button>
                    <input type="submit" class="btn btn-primary confirm-button" value="Tambah">
                </div>
            </form>
        </div>
    </div>
</div>

<!-- MODAL DETAIL INSTANSI -->
<div class="modal fade" tabindex="-1" role="dialog" id="detail-instansi-modal">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h4 class="modal-title">Form Detail Instansi</h4>
            </div>
            <form>
                <div class="modal-body">
                    <div class="mb-3">
                        <label for="detail-kode-instansi" class="col-form-label">Kode:</label>
                        <input type="text" class="form-control" id="detail-kode-instansi" name="detail-kode-instansi" maxlength="20" disabled>
                    </div>
                    <div class="mb-3">
                        <label for="detail-nama-instansi" class="col-form-label">Nama Instansi:</label>
                        <input type="text" class="form-control" id="detail-nama-instansi" name="detail-nama-instansi" maxlength="30" disabled>
                    </div>
                    <div class="mb-3">
                        <label for="detail-nomor-telepon-instansi" class="col-form-label">Nomor Telepon:</label>
                        <input type="text" class="form-control" id="detail-nomor-telepon-instansi"
                            name="detail-nomor-telepon-instansi" maxlength="15" disabled>
                    </div>
                    <div class="mb-3">
                        <label for="detail-jenis-instansi" class="col-form-label">Kategori Instansi:</label>
                        <select class="form-select jenis-instansi" id="detail-jenis-instansi"
                            name="detail-jenis-instansi" disabled>
                            <option value="faskes">Faskes</option>
                            <option value="non-faskes">Non-Faskes</option>
                        </select>
                    </div>
                    <div class="mb-3 faskes-field">
                        <label for="detail-tipe-instansi-faskes" class="col-form-label">Tipe Faskes:</label>
                        <select class="form-select" id="detail-tipe-instansi-faskes" name="detail-tipe-instansi-faskes" disabled>
                            <option value="rumah sakit">Rumah Sakit</option>
                            <option value="puskesmas">Puskesmas</option>
                            <option value="klinik">Klinik</option>
                        </select>
                    </div>
                    <div class="mb-3 faskes-field">
                        <label for="detail-status-kepemilikan-instansi-faskes" class="col-form-label">Status
                            Kepemilikan:</label>
                        <select class="form-select" id="detail-status-kepemilikan-instansi-faskes"
                            name="detail-status-kepemilikan-instansi-faskes" disabled>
                            <option value="pemerintah">Pemerintah</option>
                            <option value="swasta">Swasta</option>
                        </select>
                    </div>
                    <div class="mb-3 non-faskes-field">
                        <label for="detail-kategori-instansi-non-faskes" class="col-form-label">Kategori:</label>
                        <select class="form-select" id="detail-kategori-instansi-non-faskes"
                            name="detail-kategori-instansi-non-faskes" disabled>
                            <option value="pemerintahan">Instansi Pemerintah</option>
                            <option value="swasta">Instansi Swasta</option>
                            <option value="komunitas">Komunitas</option>
                        </select>
                    </div>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-secondary cancel-button">Cancel</button>
                </div>
            </form>
        </div>
    </div>
</div>

<!-- MODAL UPDATE INSTANSI -->
<div class="modal fade" tabindex="-1" role="dialog" id="update-instansi-modal">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h4 class="modal-title">Form Update Instansi</h4>
            </div>
            <form action="{% url 'update-instansi-satgas' %}" method="post">
                {% csrf_token %}
                <div class="modal-body">
                    <div class="mb-3">
                        <label for="update-kode-instansi" class="col-form-label">Kode:</label>
                        <input type="text" class="form-control" id="update-kode-instansi" name="update-kode-instansi" maxlength="20" readonly>
                    </div>
                    <div class="mb-3">
                        <label for="update-nama-instansi" class="col-form-label">Nama Instansi:</label>
                        <input type="text" class="form-control" id="update-nama-instansi" name="update-nama-instansi" maxlength="30">
                    </div>
                    <div class="mb-3">
                        <label for="update-nomor-telepon-instansi" class="col-form-label">Nomor Telepon:</label>
                        <input type="text" class="form-control" id="update-nomor-telepon-instansi"
                            name="update-nomor-telepon-instansi" maxlength="15">
                    </div>
                    <div class="mb-3">
                        <label for="update-jenis-instansi" class="col-form-label">Kategori Instansi:</label>
                        <select class="form-select jenis-instansi" id="update-jenis-instansi"
                            name="update-jenis-instansi">
                            <option value="faskes">Faskes</option>
                            <option value="non-faskes">Non-Faskes</option>
                        </select>
                    </div>
                    <div class="mb-3 faskes-field">
                        <label for="update-tipe-instansi-faskes" class="col-form-label">Tipe Faskes:</label>
                        <select class="form-select" id="update-tipe-instansi-faskes" name="update-tipe-instansi-faskes">
                            <option value="rumah sakit">Rumah Sakit</option>
                            <option value="puskesmas">Puskesmas</option>
                            <option value="klinik">Klinik</option>
                        </select>
                    </div>
                    <div class="mb-3 faskes-field">
                        <label for="update-status-kepemilikan-instansi-faskes" class="col-form-label">Status
                            Kepemilikan:</label>
                        <select class="form-select" id="update-status-kepemilikan-instansi-faskes"
                            name="update-status-kepemilikan-instansi-faskes">
                            <option value="pemerintah">Pemerintah</option>
                            <option value="swasta">Swasta</option>
                        </select>
                    </div>
                    <div class="mb-3 non-faskes-field">
                        <label for="update-kategori-instansi-non-faskes" class="col-form-label">Kategori:</label>
                        <select class="form-select" id="update-kategori-instansi-non-faskes"
                            name="update-kategori-instansi-non-faskes">
                            <option value="pemerintahan">Instansi Pemerintah</option>
                            <option value="swasta">Instansi Swasta</option>
                            <option value="komunitas">Komunitas</option>
                        </select>
                    </div>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-secondary cancel-button">Cancel</button>
                    <input type="submit" class="btn btn-primary confirm-button" value="Ubah">
                </div>
            </form>
        </div>
    </div>
</div>

<!-- MODAL DELETE INSTANSI -->
<div class="modal fade" tabindex="-1" role="dialog" id="delete-instansi-modal">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h4 class="modal-title">Form Delete Instansi</h4>
            </div>
            <form action="{% url 'delete-instansi-satgas' %}" method="post">
                {% csrf_token %}
                <div class="modal-body">
                    <div class="mb-3" hidden>
                        <label for="delete-kode-instansi" class="col-form-label">Kode:</label>
                        <input type="text" class="form-control" id="delete-kode-instansi" name="delete-kode-instansi"
                            maxlength="20" readonly>
                    </div>
                    <div class="mb-3">
                        <p class="delete-text"></p>
                    </div>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-secondary cancel-button">Cancel</button>
                    <input type="submit" class="btn btn-danger confirm-button" value="Hapus">
                </div>
            </form>
        </div>
    </div>
</div>



{% endblock content %}